GCLOUD_SERVICE-MANAGEMENT_DEPLOY(1)

NAME

gcloud service-management deploy - deploys a service configuration for the given service name

SYNOPSIS

gcloud service-management deploy SERVICE_CONFIG_FILE [SERVICE_CONFIG_FILE ...] [--async] [--force, -f] [--validate-only] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command is used to deploy a service configuration for a service to Google Service Management. As input, it takes one or more paths to service configurations that should be uploaded. These configuration files can be Proto Descriptors, Open API (Swagger) specifications, or Google Service Configuration files in JSON or YAML formats. If a service name is present in multiple configuration files (given in the host field in OpenAPI specifications or the name field in Google Service Configuration files), the first one will take precedence. This command will block until deployment is complete unless the --async flag is passed.

POSITIONAL ARGUMENTS

    SERVICE_CONFIG_FILE [SERVICE_CONFIG_FILE ...]
        The service configuration file (or files) containing the API specification to upload. Proto Descriptors, Open API (Swagger) specifications, and Google Service Configuration files in JSON and YAML formats are acceptable.

FLAGS

    --async
        Display information about the operation in progress, without waiting for the operation to complete.

    --force, -f
        Force the deployment even if any hazardous changes to the service configuration are detected.

    --validate-only
        If included, the command will only validate the service configuration(s). No configuration(s) will be persisted.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To deploy a single Open API service configuration, run:
    $ gcloud service-management deploy ~/my_app/openapi.json
To run the deployment asynchronously (non-blocking), run:
    $ gcloud service-management deploy ~/my_app/openapi.json --async
To deploy a service config with a Proto, run:
    $ gcloud service-management deploy ~/my_app/service-config.yaml \
        ~/my_app/service-protos.pb